Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KickSelectionSymbols Class Reference

The Xabsl2 symbols that are defined in "kick-selection-symbols.xml". More...

`#include <KickSelectionSymbols.h>`

Inheritance diagram for KickSelectionSymbols:

[legend]
Collaboration diagram for KickSelectionSymbols:

[legend]
List of all members.

## Public Member Functions
| KickSelectionSymbols (BehaviorControlInterfaces &interfaces, const char *fileName)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
double | retrieveKick ()
| A function for the function "retrieve-kick".
double | intentionalKickPossible ()
double | intentionalKickXOffset ()
double | intentionalKickYOffset ()
double | intentionalKickKick ()
double | intentionalKickTargetX ()
double | intentionalKickTargetY ()
bool | handleMessage (InMessage &message)
| Is called for every incoming debug message.
## Protected Attributes
double | angle
| The function parameter "retrieve-kick.angle".
double | angleWidth
| The function parameter "retrieve-kick.angle-width".
double | tableID
| The function parameter "retrieve-kick.table-id".
double | intentionalAngle
double | intentionalTable
double | intentionalKick
KickSelectionTable | kickSelectionTable
| The kick selection table that is used.
## Private Attributes
Vector2< double > | intentionalKickOffset

## Detailed Description

The Xabsl2 symbols that are defined in "kick-selection-symbols.xml".

Author:
  Martin Lötzsch

Definition at line 21 of file KickSelectionSymbols.h.

## Constructor & Destructor Documentation

KickSelectionSymbols::KickSelectionSymbols | ( | BehaviorControlInterfaces & | interfaces,
|  | const char * | fileName
| ) |

| Definition at line 12 of file KickSelectionSymbols.cpp. References kickSelectionTable, and KickSelectionTable::load().

Here is the call graph for this function:

## Member Function Documentation

void KickSelectionSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 19 of file KickSelectionSymbols.cpp. References angleWidth, intentionalAngle, intentionalKickOffset, intentionalKickPossible(), intentionalKickTargetX(), intentionalKickTargetY(), intentionalTable, Xabsl2Symbols::registerDecimalInputFunction(), Xabsl2Symbols::registerDecimalInputFunctionParameter(), Xabsl2Symbols::registerDecimalInputSymbol(), retrieveKick(), tableID, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

double KickSelectionSymbols::retrieveKick | ( |  | ) |

| A function for the function "retrieve-kick". Definition at line 43 of file KickSelectionSymbols.cpp. References angleWidth, DEBUG_RESPONSE, Geometry::distanceTo(), RobotPose::getPose(), kickSelectionTable, BallState::positionField, KickSelectionTable::retrieveKick(), BallModel::seen, tableID, SeenBallState::timeUntilSeenConsecutively, and SeenBallState::timeWhenFirstSeenConsecutively. Referenced by registerSymbols().

Here is the call graph for this function:

double KickSelectionSymbols::intentionalKickPossible | ( |  | ) |

| Definition at line 75 of file KickSelectionSymbols.cpp. References Vector2< double >::abs(), Geometry::distanceTo(), RobotPose::getPose(), SystemCall::getTimeSince(), idText, intentionalAngle, intentionalKickOffset, intentionalTable, kickSelectionTable, OUTPUT, BallState::positionField, BallModel::propagated, KickSelectionTable::searchKickInNeighbourhood(), BallModel::seen, SeenBallState::timeUntilSeenConsecutively, SeenBallState::timeWhenFirstSeenConsecutively, Vector2< double >::x, and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

double KickSelectionSymbols::intentionalKickXOffset | ( |  | ) |

| Definition at line 96 of file KickSelectionSymbols.cpp. References intentionalKickOffset, and Vector2< double >::x.

double KickSelectionSymbols::intentionalKickYOffset | ( |  | ) |

| Definition at line 99 of file KickSelectionSymbols.cpp. References intentionalKickOffset, and Vector2< double >::y.

double KickSelectionSymbols::intentionalKickKick | ( |  | ) |

| Definition at line 103 of file KickSelectionSymbols.cpp.

double KickSelectionSymbols::intentionalKickTargetX | ( |  | ) |

| Definition at line 107 of file KickSelectionSymbols.cpp. References intentionalKickOffset, Geometry::relative2FieldCoord(), Vector2< double >::x, and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

double KickSelectionSymbols::intentionalKickTargetY | ( |  | ) |

| Definition at line 110 of file KickSelectionSymbols.cpp. References intentionalKickOffset, Geometry::relative2FieldCoord(), Vector2< double >::x, and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

bool KickSelectionSymbols::handleMessage | ( | InMessage & | message | ) |

  | Is called for every incoming debug message. Parameters:
  message | An interface to read the message from the queue
Returns: if the messag was read Definition at line 115 of file KickSelectionSymbols.cpp. References InMessage::getMessageID(), idKickSelectionTable, kickSelectionTable, and InMessage::text. Referenced by GT2005BehaviorControl::handleMessage().

Here is the call graph for this function:

## Member Data Documentation

double KickSelectionSymbols::angle`[protected]`

| The function parameter "retrieve-kick.angle". Definition at line 55 of file KickSelectionSymbols.h.

double KickSelectionSymbols::angleWidth`[protected]`

| The function parameter "retrieve-kick.angle-width". Definition at line 58 of file KickSelectionSymbols.h. Referenced by registerSymbols(), and retrieveKick().

double KickSelectionSymbols::tableID`[protected]`

| The function parameter "retrieve-kick.table-id". Definition at line 61 of file KickSelectionSymbols.h. Referenced by registerSymbols(), and retrieveKick().

double KickSelectionSymbols::intentionalAngle`[protected]`

| Definition at line 63 of file KickSelectionSymbols.h. Referenced by intentionalKickPossible(), and registerSymbols().

double KickSelectionSymbols::intentionalTable`[protected]`

| Definition at line 64 of file KickSelectionSymbols.h. Referenced by intentionalKickPossible(), and registerSymbols().

double KickSelectionSymbols::intentionalKick`[protected]`

| Definition at line 65 of file KickSelectionSymbols.h.

KickSelectionTable KickSelectionSymbols::kickSelectionTable`[protected]`

| The kick selection table that is used. Definition at line 67 of file KickSelectionSymbols.h. Referenced by handleMessage(), intentionalKickPossible(), KickSelectionSymbols(), and retrieveKick().

Vector2<double> KickSelectionSymbols::intentionalKickOffset`[private]`

| Definition at line 70 of file KickSelectionSymbols.h. Referenced by intentionalKickPossible(), intentionalKickTargetX(), intentionalKickTargetY(), intentionalKickXOffset(), intentionalKickYOffset(), and registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/KickSelectionSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/KickSelectionSymbols.cpp